const mix = require('laravel-mix');

/*
 |--------------------------------------------------------------------------
 | Mix Asset Management
 |--------------------------------------------------------------------------
 |
 | Mix provides a clean, fluent API for defining some Webpack build steps
 | for your Laravel application. By default, we are compiling the Sass
 | file for the application as well as bundling up all the JS files.
 |
 */

mix.js('resources/js/app.js', 'public/js')
    .sass('resources/sass/app.scss', 'public/css');

// Copy Bootstrap js and css to web accessible public/js and public/css
mix.copy('vendor/twbs/bootstrap/dist/js/', 'public/js');
mix.copy('vendor/twbs/bootstrap/dist/css/', 'public/css');

// Copy jquery.min.js to web accessible public/js
mix.copy('vendor/components/jquery/jquery.min.js', 'public/js');

